import type { ChildFileWriteGrants } from "./ChildFileWriteGrants";
import type { ChildFolderWriteGrants } from "./ChildFolderWriteGrants";
import type { ThisFolderWriteGrants } from "./ThisFolderWriteGrants";
/**
 * Unless otherwise stated, these properties are inherited by sub-folders if instructed to do so by the outer context
 * (e.g. 'recursive:true' when read in the context of a 'FolderPermissionsList', or if set on a 'publicPermissions'
 * on a 'FolderSettings').
 */
export declare type FolderPermissionWriteGrants = {
    childFile: ChildFileWriteGrants;
    childFolder: ChildFolderWriteGrants;
    thisFolder: ThisFolderWriteGrants;
};
